#! /bin/bash
function client(){
	title=`cat doc/title`
	if [ -x "$(command -v xfce4-terminal)" ]
	then
		xfce4-terminal --hide-menubar --hide-toolbar --hide-scrollbar --color-bg=black --geometry=100x50 --icon=textures/icon.png --title="$title" --hold --execute bin/client
	else 
		bin/client noxfce
		echo -e "\e[0m"
	fi	
	}
case $1 in
"server")
	bin/server
	;;
"client")
	client
	;;	
"--help")
	cat doc/usage
	;;
"--version")
	cat doc/version
	;;	
*)	
	bin/server
	client
	;;
esac
