#include <string>
#include "map.h"
#include "mapgen.h"
#include "../game.h"
using namespace std;	
Map::Map(){
	Mapgen mapgen(this);
	}
int Map::getNode(int x, int y){
	if(x < 50 && y < 50 && x > -1 && y > -1){
		return content[x][y];
		}
	return -1;	
	}
void Map::setNode(int x, int y, int n){
	if(x < 50 && y < 50 && x > -1 && y > -1){
		content[x][y] = n;
		}
	}
void Map::save(){
	FILE *mapfile;
	mapfile = fopen("world/map","w");
	for(int x = 0; x < 50; x++){
		for(int y = 0; y < 50; y++){
			fprintf(mapfile,"%d ",getNode(x,y));
			}
		fprintf(mapfile,"\n");	
		}
	fclose(mapfile);
	}
