#include <string>
#include <stdlib.h>  
#include "mapgen.h"
#include "../game.h"
using namespace std;
Mapgen::Mapgen(Map *m){
	map = m;
	base();
	water();
	tree();
	flora();
	}
void Mapgen::base(){
	for(int x = 0; x < 50; x++){
		for(int y = 0; y < 50; y++){
			if(false);
			else if(y >= 00 && y <= 30) map->setNode(x,y,AIR);
			else if(y >= 31 && y <= 31) map->setNode(x,y,DIRT_GRASS);
			else if(y >= 32 && y <= 36) map->setNode(x,y,DIRT);
			else if(y >= 37 && y <= 49) map->setNode(x,y,STONE);
			}
		}	
	}
void Mapgen::water(){
	int y = 31;
	int x = rand() % 50;
	map->setNode(x+2,y,WATER);
	map->setNode(x+1,y,WATER);
	map->setNode(x,y,WATER);
	map->setNode(x-1,y,WATER);
	map->setNode(x-2,y,WATER);
	map->setNode(x+1,y+1,WATER);
	map->setNode(x,y+1,WATER);
	map->setNode(x-1,y+1,WATER);
	}	
void Mapgen::tree(){
	for(int i = 0; i < 3; i++){
		int y = 30; 
		int x = 0;
		do x = rand() % 50;
		while(map->getNode(x,y) == WOOD || map->getNode(x,y+1) == WATER);
		map->setNode(x,y,WOOD);
		map->setNode(x,y-1,WOOD);
		map->setNode(x,y-2,LEAVES);
		map->setNode(x,y-3,LEAVES);
		map->setNode(x,y-4,LEAVES);
		map->setNode(x-1,y-2,LEAVES);
		map->setNode(x-1,y-3,LEAVES);
		map->setNode(x-1,y-4,LEAVES);
		map->setNode(x+1,y-2,LEAVES);
		map->setNode(x+1,y-3,LEAVES);
		map->setNode(x+1,y-4,LEAVES);
		}
	}
void Mapgen::flora(){
	for(int i = 0; i < 5; i++){
		int y = 30; 
		int x = 0;
		do x = rand() % 50;
		while(map->getNode(x,y) == WOOD || map->getNode(x,y) == STIL || map->getNode(x,y+1) == WATER);
		map->setNode(x,y,STIL);
		map->setNode(x,y-1,FLOWER);
		}
	}
